- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 6858c8fb-9cf7-45ac-9574-5200c4bcfa96
    creation_time: 2023-02-17T12:08:14.768496Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound10.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound10.c: 6c4c876bf3d38b01f54a088b76131bc8275dc44ae3ac622f7c3187fe3c7bf156
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound10.c
    file_hash: 6c4c876bf3d38b01f54a088b76131bc8275dc44ae3ac622f7c3187fe3c7bf156
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f9ea0b96-0ebc-41ba-9233-342d251b31e5
    creation_time: 2023-02-17T12:08:14.768798Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound10.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound10.c: 6c4c876bf3d38b01f54a088b76131bc8275dc44ae3ac622f7c3187fe3c7bf156
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound10.c
    file_hash: 6c4c876bf3d38b01f54a088b76131bc8275dc44ae3ac622f7c3187fe3c7bf156
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 323792dd-79fb-41fd-a73b-6cefb690fc71
    creation_time: 2023-02-17T12:08:14.768922Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound10.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound10.c: 6c4c876bf3d38b01f54a088b76131bc8275dc44ae3ac622f7c3187fe3c7bf156
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound10.c
    file_hash: 6c4c876bf3d38b01f54a088b76131bc8275dc44ae3ac622f7c3187fe3c7bf156
    line: 49
    column: 0
    function: main
  location_invariant:
    string:  (  ( longlong ) 4*A )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

